{ config, pkgs, ... }:
{
  hardware = {
    enableAllFirmware = true;
    nvidia = {
      package = config.boot.kernelPackages.nvidiaPackages.beta;

      # Open drivers cause gdm to crash
      open = false;

      # nvidia-drm.modeset=1
      modesetting.enable = true;
      powerManagement.enable = false;
    };

    # Hardware acceleration
    graphics.enable = true;

    logitech.wireless = {
      enable = true;
      enableGraphical = true;
    };
  };
  services = {

    hardware.bolt.enable = true;

    xserver.videoDrivers = [ "nvidia" ];

    # udev
    udev.packages = with pkgs; [
      android-udev-rules
      logitech-udev-rules
      wooting-udev-rules
    ];

    # SSD Trim
    fstrim.enable = true;
  };

  # FS
  fileSystems."/".options = [ "compress=zstd" ];
}
